objfw-embed(1)

NAME
objfw-embed - create source code to embed a file into a program

SYNOPSIS
objfw-embed source_file filename output

DESCRIPTION
objfw-embed is a program which creates source code to embed a file into a program, which can then be accessed using the embedded: IRI scheme in ObjFW.

EXAMPLES
Create the source file logo.png.m for the file assets/logo.png, which will be registered under the path logo.png so that it can be accessed under the IRI embedded:logo.png:

    objfw-embed assets/logo.png logo.png logo.png.m